CLASS BAD_FUNCTIO(3)

NAME
boost::bad_function_call - An exception type thrown when an instance of a function object is empty when invoked.

SYNOPSIS

// In header: <boost/function.hpp>
class bad_function_call : public std::runtime_error {
public:
  // construct/copy/destruct
  bad_function_call();
};

DESCRIPTION

  bad_function_call public construct/copy/destruct

    1.

    bad_function_call();

    Effects:
        Constructs a bad_function_call exception object.